/*chart*/
( function( $ ) {
	"use strict";
	var WidgetChartHandler = function ($scope, $) {
		var container = $scope.find('.eca-chart'),
			canvas = container.find( '> canvas' ),
			options  = container.data('options');

		if(container.length){
			elementorFrontend.waypoint(canvas,function(){
				var $this = $(this),
				ctx = $this[0].getContext('2d'),
				myChart = new Chart(ctx,options);
			}, {
				offset: 'bottom-in-view'
			} );
		}		
	};
	$(window).on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction('frontend/element_ready/ecafe-chart.default', WidgetChartHandler);
	});
})(jQuery);