<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
$featured_image_url = wp_get_attachment_url( get_post_thumbnail_id( get_the_ID() ) );
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-list-content">
		<div class="post-flip-box post-flip-anim-<?php echo esc_attr($styleFlipType); ?>">
			<a href="<?php echo esc_url(get_the_permalink()); ?>" class="post-flip-card">
				<div class="post-flip-front">
					<div class="post-flip-front-content">
						<?php 
						if(!empty($featured_image_url) && !empty($showImage) && $showImage=='yes'){
							include ECAFE_PATH. 'element/post-data/format-image.php';
						}
						if(!empty($showTitle) && $showTitle=='yes'){
							include ECAFE_PATH. 'element/post-data/post-meta-title-3.php';
						}
						?>
					</div>
				</div>
				<div class="post-flip-back">
					<div class="post-flip-back-content">
						<?php
							if(!empty($showExcerpt) && $showExcerpt=='yes' && get_the_excerpt()){ 
								include ECAFE_PATH. 'element/post-data/get-excerpt.php';
							}
						?>
					</div>
				</div>
			</a>
		</div>
	</div>
</article>